View Issue Details

IDProjectCategoryView StatusLast Update
0000187XdebugUsage problems (Wrong Results)public2006-08-19 13:21
ReporterTinduAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000187: stderr does not make XDebug report fatal errors
DescriptionI want to get XDebug to report back fatal errors to me so I can show the line number or call stack to the user.

Script:

<?
  $bogus->call();
?>

Log:

Log opened at 2006-06-07 08:54:55
-> <init fileuri="file:///c%3A%5Crtw83%5CTrain%5Ctest.php" language="PHP" protocol_version="1.0" appid="3624" idekey="session_name"><engine version="2.0.0rc1-dev"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2006 by Derick Rethans]]></copyright></init>

<- breakpoint_set -i 2 -t line -f file:///c:/rtw83/Train/test.php -n 5
-> <response command="breakpoint_set" transaction_id="2" id="36240001"></response>

<- stderr -i 1 -c 2
-> <response command="stderr" transaction_id="1" success="0"></response>

<- feature_set -i 1 -n max_depth -v 10
-> <response command="feature_set" transaction_id="1" feature="max_depth" success="1"></response>

<- run -i 1
-> <response command="run" transaction_id="1" status="stopped" reason="ok"></response>

Log closed at 2006-06-07 08:54:55
Additional InformationIn XDebug code:

DBGP_FUNC(stderr)
{
    xdebug_xml_add_attribute(*retval, "success", "0");
}

So not sure how this stderr could work...
TagsNo tags attached.
Operating SystemWindows XP
PHP Version5.1.2

Activities

derick

2006-08-19 13:21

administrator   ~0000437

stderr is not supposed to work in the way you want this. I just committed a change to CVS that allows you to set an 'exception' breakpoint for the various PHP error types. Examples of this are:

breakpoint_set -t exception -x "Fatal error" -s enabled -i 28
breakpoint_set -t exception -x Notice -s enabled -i 29

This feature should address what you were looking for.

Issue History

Date Modified Username Field Change
2006-06-07 10:04 Tindu New Issue
2006-08-19 13:21 derick Status new => resolved
2006-08-19 13:21 derick Resolution open => fixed
2006-08-19 13:21 derick Assigned To => derick
2006-08-19 13:21 derick Note Added: 0000437
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)